## org.mortbay.jetty.client.security
Class BasicAuthorization

    java.lang.Object
      org.mortbay.jetty.client.security.BasicAuthorization

All Implemented Interfaces:
  Authorization

    public class BasicAuthorization

extends Object
implements Authorization

Sets authentication headers for BASIC authentication challenges

Author:
  jesse

Constructor Summary
`BasicAuthorization(Realm realm)`

Method Summary
`void` `setCredentials(HttpExchange exchange)` BASIC authentication is of the form encoded credentials are of the form: username:password

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicAuthorization

    public BasicAuthorization(Realm realm)
                       throws IOException

Throws:
  `IOException`

Method Detail

### setCredentials

    public void setCredentials(HttpExchange exchange)
                        throws IOException

  BASIC authentication is of the form encoded credentials are of the form: username:password

  Specified by:
    `setCredentials` in interface `Authorization`
  Throws:
    `IOException`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.